OUI Based VLAN
16 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridApOuiBasedVlan | GET | Get Ap oui based vlan list |
| createApOuiBasedVlan | POST | Create Ap oui based vlan |
| deleteApOuiBasedVlan | DELETE | Delete Ap oui based vlan |
| modifyApOuiBasedVlan | PUT | Modify Ap oui based vlan |
| getGridSwitchOuiBasedVlan | GET | Get Switch oui based vlan list |
| createSwitchOuiBasedVlan | POST | Create Switch oui based vlan |
| deleteSwitchOuiBasedVlan | DELETE | Delete Switch oui based vlan |
| modifySwitchOuiBasedVlan | PUT | Modify Switch oui based vlan |
| getWhetherAllSwitchSupportAutoAddVlan | GET | Get whether all switches support oui rule auto add vlan. |
| enableAutoAddVlan | POST | Enable the site and device auto add vlan. |
| getSwitchList | GET | Get switch list of supporting oui based vlan |
| getOuiBasedVlanSwitchList | GET | Get all oui based vlan switch list. |
| getWhetherExistAllowAllPortOrLagsForRuleModification | POST | Get whether exist at least one port or lag with allow all network tags for oui based vlan modification. |
| getWhetherExistAllowAllPortOrLagsForRuleCreation | POST | Get whether exist at least one port or lag with allow all network tags for oui based vlan creation. |
| getAllSupportAutoAddVlanSwitchList | GET | Get switch list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan. |
| getWhetherSiteOpenAutoAddVlan | GET | Get whether site open oui rule auto add vlan. |
getGridApOuiBasedVlan
GET /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules
Get Ap oui based vlan list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridApOuiBasedVlan",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Ap oui based vlan list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createApOuiBasedVlan
POST /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules
Create Ap oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OuiBasedVlanApOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Ap Rule state. |
name | string | yes | Ap Rule name should contain 1 to 128 characters. |
ssidIdList | array<string> | yes | Configured ssid list. |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based vlan rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "createApOuiBasedVlan",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Ap oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33789 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID does not select PPSK.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34225 - When the rule is enabled, the same SSID should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
deleteApOuiBasedVlan
DELETE /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules/{ouiBasedVlanId}
Delete Ap oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
// omada_call_operation
{
"operationId": "deleteApOuiBasedVlan",
"params": {
"siteId": "<siteId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
}
}Details, permissions and error codes
Delete Ap oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyApOuiBasedVlan
PUT /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules/{ouiBasedVlanId}
Modify Ap oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
Request body — application/json (required) — schema OuiBasedVlanApOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Ap Rule state. |
name | string | yes | Ap Rule name should contain 1 to 128 characters. |
ssidIdList | array<string> | yes | Configured ssid list. |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based vlan rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "modifyApOuiBasedVlan",
"params": {
"siteId": "<siteId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Ap oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33789 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID does not select PPSK.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34225 - When the rule is enabled, the same SSID should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
getGridSwitchOuiBasedVlan
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules
Get Switch oui based vlan list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSwitchOuiBasedVlan",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Switch oui based vlan list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createSwitchOuiBasedVlan
POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules
Create Switch oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OuiBasedVlanSwitchOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Switch Rule state. |
name | string | yes | Switch Rule name should contain 1 to 128 characters. |
mode | integer | yes | Switch Rule type. 0:"All device port", 1:"Custom device port" |
deviceList | array<DeviceOuiModeOpenApiVO> | no | When mode is 1, should configure device info. |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "createSwitchOuiBasedVlan",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Switch oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-34219 - The rule for all device ports has been created in Rules.
-34220 - The rule for all device ports and the rule for custom device ports should not be enabled simultaneously.
-34223 - When the rule enabled, the same VLAN should not be bound with the same device port/LAG in different rules. Please check the settings.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34227 - When the rule is enabled, the same OUI on the same device should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
-34230 - When the rule for all device ports is created, devices with old firmware should not be configured in rules for custom device ports.
deleteSwitchOuiBasedVlan
DELETE /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/{ouiBasedVlanId}
Delete Switch oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
// omada_call_operation
{
"operationId": "deleteSwitchOuiBasedVlan",
"params": {
"siteId": "<siteId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
}
}Details, permissions and error codes
Delete Switch oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifySwitchOuiBasedVlan
PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/{ouiBasedVlanId}
Modify Switch oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
Request body — application/json (required) — schema OuiBasedVlanSwitchOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Switch Rule state. |
name | string | yes | Switch Rule name should contain 1 to 128 characters. |
mode | integer | yes | Switch Rule type. 0:"All device port", 1:"Custom device port" |
deviceList | array<DeviceOuiModeOpenApiVO> | no | When mode is 1, should configure device info. |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "modifySwitchOuiBasedVlan",
"params": {
"siteId": "<siteId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Switch oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-34219 - The rule for all device ports has been created in Rules.
-34220 - The rule for all device ports and the rule for custom device ports should not be enabled simultaneously.
-34223 - When the rule enabled, the same VLAN should not be bound with the same device port/LAG in different rules. Please check the settings.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34227 - When the rule is enabled, the same OUI on the same device should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
-34230 - When the rule for all device ports is created, devices with old firmware should not be configured in rules for custom device ports.
getWhetherAllSwitchSupportAutoAddVlan
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/auto-add-vlan-all-support
Get whether all switches support oui rule auto add vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getWhetherAllSwitchSupportAutoAddVlan",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get whether all switches support oui rule auto add vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
enableAutoAddVlan
POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/enable-auto-add-vlan
Enable the site and device auto add vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "enableAutoAddVlan",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Enable the site and device auto add vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getSwitchList
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/support-device
Get switch list of supporting oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
name | query | string | no | Switch name. Support fuzzy search |
// omada_call_operation
{
"operationId": "getSwitchList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch list of supporting oui based vlan
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getOuiBasedVlanSwitchList
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches
Get all oui based vlan switch list.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOuiBasedVlanSwitchList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get all oui based vlan switch list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getWhetherExistAllowAllPortOrLagsForRuleModification
POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches/{ouiBasedVlanId}/check
Get whether exist at least one port or lag with allow all network tags for oui based vlan modification.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
Request body — application/json (required) — schema OuiBasedVlanRuleVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | |
enable | boolean | yes | |
name | string | yes | |
mode | integer | no | |
type | integer | yes | |
ruleInterface | array<integer> | no | |
ssidList | array<SsidOuiModeVO> | no | |
ssidIdList | array<string> | no | |
deviceList | array<DeviceOuiModeVO> | no | |
ruleCombine | array<VlanOuiModeVO> | yes | |
excludeDeviceList | array<OuiBasedVlanDeviceInfoVO> | no | |
resource | integer | no |
// omada_call_operation
{
"operationId": "getWhetherExistAllowAllPortOrLagsForRuleModification",
"params": {
"siteId": "<siteId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Get whether exist at least one port or lag with allow all network tags for oui based vlan modification.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getWhetherExistAllowAllPortOrLagsForRuleCreation
POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches/check
Get whether exist at least one port or lag with allow all network tags for oui based vlan creation.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OuiBasedVlanRuleVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | |
enable | boolean | yes | |
name | string | yes | |
mode | integer | no | |
type | integer | yes | |
ruleInterface | array<integer> | no | |
ssidList | array<SsidOuiModeVO> | no | |
ssidIdList | array<string> | no | |
deviceList | array<DeviceOuiModeVO> | no | |
ruleCombine | array<VlanOuiModeVO> | yes | |
excludeDeviceList | array<OuiBasedVlanDeviceInfoVO> | no | |
resource | integer | no |
// omada_call_operation
{
"operationId": "getWhetherExistAllowAllPortOrLagsForRuleCreation",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get whether exist at least one port or lag with allow all network tags for oui based vlan creation.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getAllSupportAutoAddVlanSwitchList
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches/support-auto-add-vlan
Get switch list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
name | query | string | no | Switch name. Support fuzzy search |
// omada_call_operation
{
"operationId": "getAllSupportAutoAddVlanSwitchList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getWhetherSiteOpenAutoAddVlan
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/whether-auto-add-vlan
Get whether site open oui rule auto add vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getWhetherSiteOpenAutoAddVlan",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get whether site open oui rule auto add vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only